Company Product Price Overrides
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/companies/{companyId}/product-price-overrides \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/companies/{companyId}/product-price-overrides"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/companies/{companyId}/product-price-overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"created_at": "2023-03-15T14:30:00Z",
"updated_at": "2023-03-15T14:30:00Z",
"status": "active",
"company_id": 5567,
"product_id": 567890,
"price": 42.5,
"product": {
"id": 567890,
"sku": "WIDGET-123",
"name": "Deluxe Widget",
"retail_price": 59.99,
"wholesale_price": 49.99,
"variant_parent_id": null,
"is_variant": false
}
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 5,
"per_page": 10,
"to": 10,
"total": 50
}
}{
"error": "Unauthorized",
"message": "Authentication credentials are missing or invalid",
"status_code": 401
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource",
"status_code": 403
}{
"error": "Not Found",
"message": "The requested resource could not be found",
"status_code": 404
}Companies
Company Product Price Overrides
Get a list of product-specific price overrides for a particular company.
These price overrides allow specific products to have custom pricing when sold to a particular company, overriding the standard pricing or any applicable price schedule.
GET
/
companies
/
{companyId}
/
product-price-overrides
Company Product Price Overrides
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
The unique identifier of the company
Query Parameters
Page number for pagination (starts at 1)
Required range:
x >= 1Number of items per page (max 100)
Required range:
1 <= x <= 100⌘I